- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# neethi_reference.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <neethi_includes.h>`

Go to the source code of this file.

## Typedefs
typedef struct neethi_reference_t | neethi_reference_t
## Functions
AXIS2_EXTERN neethi_reference_t * | neethi_reference_create (const axutil_env_t *env)
AXIS2_EXTERN void | neethi_reference_free (neethi_reference_t *neethi_reference, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | neethi_reference_get_uri (neethi_reference_t *neethi_reference, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_reference_set_uri (neethi_reference_t *neethi_reference, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_status_t | neethi_reference_serialize (neethi_reference_t *neethi_reference, axiom_node_t *parent, const axutil_env_t *env)

## Detailed Description